View Issue Details

IDProjectCategoryView StatusLast Update
11755Bug reportsTheme editorpublic2017-06-13 11:40
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Summary11755: Tool link : no default action
DescriptionThe tool link don't have default action. Javascript is done only in template

- clearall
- saveall
- index (i think)
- loadall
Additional InformationI think we must do a "minimal" system but in a function (with a function name)

We call the function at end (POS_END for register script) : then it's done before document ready : but the link is here in DOM (we can do a $(#clearall).click before ready)

The system come from limesurvey.js package OR from actual JS system (survey_runtime).

Think package is the best place.
Tagsanswers_html
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Relationships

related to 11754 closedDenisChenu Feature requests Review HTML for index (the button part) 
related to 11762 closedDenisChenu Bug reports Survey index : question by question : unable to use index 

Activities

DenisChenu

DenisChenu

2016-10-12 00:58

developer   ~41241

Fix committed to answers_html branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=20965
DenisChenu

DenisChenu

2016-10-13 19:42

developer   ~41318

Fix committed to answers_html branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21007
DenisChenu

DenisChenu

2016-10-13 19:47

developer   ~41321

OK , except for index : but index have a lot of other issues

Related Changesets

LimeSurvey: answers_html f2b923e1

2016-10-12 00:55:26

DenisChenu

Details Diff
Dev: Fixed issue 11755: Default action for saveall/loadall
Dev: remove button before ready if not usable (usabe only i form#limesurvey is here)
Dev: don't need button, but need javascript
Dev: function can be replaced in template (leave some core class)
Affected Issues
11755
mod - application/core/packages/limesurvey/survey.js Diff File
mod - application/helpers/replacements_helper.php Diff File
add - application/views/survey/system/actionButton/saveLoad.php Diff File
add - application/views/survey/system/actionButton/saveSave.php Diff File
add - application/views/survey/system/actionLink/saveLoad.php Diff File
add - application/views/survey/system/actionLink/saveSave.php Diff File
mod - templates/default/scripts/template.js Diff File

LimeSurvey: answers_html a3c07e9a

2016-10-13 19:42:08

DenisChenu

Details Diff
Fixed issue 11755: default action for save/load/clear all. Teplate can update it
Dev: add some language var for template
Affected Issues
11755
mod - application/core/packages/limesurvey/survey.js Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - application/views/survey/frontpage/enterToken.php Diff File
mod - scripts/survey_runtime.js Diff File

Issue History

Date Modified Username Field Change
2016-10-06 19:21 DenisChenu New Issue
2016-10-06 19:21 DenisChenu Tag Attached: answers_html
2016-10-06 19:21 DenisChenu Project Feature requests => Bug reports
2016-10-11 15:55 DenisChenu Assigned To => DenisChenu
2016-10-11 15:55 DenisChenu Status new => assigned
2016-10-12 00:58 DenisChenu Changeset attached => LimeSurvey answers_html f2b923e1
2016-10-12 00:58 DenisChenu Note Added: 41241
2016-10-12 00:58 DenisChenu Resolution open => fixed
2016-10-13 19:42 DenisChenu Changeset attached => LimeSurvey answers_html a3c07e9a
2016-10-13 19:42 DenisChenu Note Added: 41318
2016-10-13 19:43 DenisChenu Relationship added related to 11754
2016-10-13 19:46 DenisChenu Relationship added parent of 11762
2016-10-13 19:47 DenisChenu Relationship deleted parent of 11762
2016-10-13 19:47 DenisChenu Relationship added related to 11762
2016-10-13 19:47 DenisChenu Status assigned => resolved
2016-10-13 19:47 DenisChenu Fixed in Version => 3.0.x
2016-10-13 19:47 DenisChenu Note Added: 41321
2016-10-14 11:02 DenisChenu Fixed in Version 3.0.x => 3.0
2016-10-14 11:02 DenisChenu Target Version => 3.0
2017-06-13 11:40 c_schmitz Status resolved => closed